commit 64ccdadd1773976cd3c27c297966439ffeae391f
Author: Iain Buclaw <ibuclaw@gdcproject.org>
Date:   Fri Dec 10 01:30:19 2021

    d: Align methods to MINIMUM_METHOD_BOUNDARY.
    
    Aligns all D defined methods to MINIMUM_METHOD_BOUNDARY, improving
    interoperability with C++ methods.
    
    gcc/d/ChangeLog:
    
            * decl.cc (get_symbol_decl): Align methods to MINIMUM_METHOD_BOUNDARY.
    
    (cherry picked from commit 213b7d9cf76d73f7b716a6f9119971cb65bd85e2)

diff --git a/gcc/d/decl.cc b/gcc/d/decl.cc
index 02e6b4cfdf8..a30549ce8e0 100644
--- a/gcc/d/decl.cc
+++ b/gcc/d/decl.cc
@@ -1213,6 +1213,9 @@ get_symbol_decl (Declaration *decl)
 	      DECL_VINDEX (decl->csym) = size_int (fd->vtblIndex);
 	      DECL_VIRTUAL_P (decl->csym) = 1;
 	    }
+
+	  /* Align method to the minimum boundary for target.  */
+	  SET_DECL_ALIGN (decl->csym, MINIMUM_METHOD_BOUNDARY);
 	}
       else if (fd->isMain () || fd->isCMain ())
 	{

